COMMENT	THIS COMPUTES THE LOWER LIMIT ON THE CHI-SQUARE NONCENTRALITY PARAMETER.
COMPUTE #LC3 = CHIVAL .
COMPUTE LC2 = CHIVAL/2 .
COMPUTE #LC1 = .001 .
COMPUTE #ULIM = 1-(1-CONF)/2 .
COMPUTE #CUMF1 = NCDF.CHISQ(CHIVAL,DF,#LC1) .
LOOP IF (#CUMF1 LT #ULIM) .
+	COMPUTE LC2 = #LC1 .
+	COMPUTE #LC1 = #LC1/4 .
+	COMPUTE #CUMF1 = NCDF.CHISQ(CHIVAL,DF,#LC1) .
END LOOP .
COMPUTE #CUMF3 = NCDF.CHISQ(CHIVAL,DF,#LC3) .
LOOP IF (#CUMF3 GT #ULIM) .
+	COMPUTE LC2 = #LC3 .
+	COMPUTE #LC3 = #LC3 + CHIVAL .
+	COMPUTE #CUMF3 = NCDF.CHISQ(CHIVAL,DF,#LC3) .
END LOOP .
COMPUTE #CUMF2 = NCDF.CHISQ(CHIVAL,DF,LC2) .
COMPUTE #DIFF = 1 .
LOOP IF (#DIFF GT .00005) .
+	DO IF (#CUMF2 LT #ULIM) .
+		COMPUTE #LC3 = LC2 .
+		COMPUTE LC2 = (LC2 + #LC1)/2 .
+		COMPUTE #CUMF2 = NCDF.CHISQ(CHIVAL,DF,LC2) .
+	ELSE .
+		COMPUTE #LC1 = LC2 .
+		COMPUTE LC2 = (LC2 + #LC3)/2 .
+		COMPUTE #CUMF2 = NCDF.CHISQ(CHIVAL,DF,LC2) .
+	END IF .
+	COMPUTE #DIFF = ABS(#CUMF2 - #ULIM) .
END LOOP .
COMPUTE UCDF  = NCDF.CHISQ(CHIVAL,DF,LC2) .
EXECUTE .
COMMENT	
COMMENT	THIS COMPUTES THE UPPER LIMIT ON THE F NONCENTRALITY PARAMETER.
COMPUTE #UC3 = 3*CHIVAL .
COMPUTE UC2 = 2*CHIVAL .
COMPUTE #UC1 = CHIVAL .
COMPUTE #LLIM = (1-CONF)/2 .
COMPUTE #CUMF1 = NCDF.CHISQ(CHIVAL,DF,#UC1) .
LOOP IF (#CUMF1 LT #LLIM) .
+	COMPUTE UC2 = #UC1 .
+	COMPUTE #UC1 = #UC1/4 .
+	COMPUTE #CUMF1 = NCDF.CHISQ(CHIVAL,DF,#UC1) .
END LOOP .
COMPUTE #CUMF3 = NCDF.CHISQ(CHIVAL,DF,#UC3) .
LOOP IF (#CUMF3 GT #LLIM) .
+	COMPUTE UC2 = #UC3 .
+	COMPUTE #UC3 = #UC3 + CHIVAL .
+	COMPUTE #CUMF3 = NCDF.CHISQ(CHIVAL,DF,#UC3) .
END LOOP .
COMPUTE #CUMF2 = NCDF.CHISQ(CHIVAL,DF,UC2) .
COMPUTE #DIFF = 1 .
LOOP IF (#DIFF GT .00001) .
+	DO IF (#CUMF2 LT #LLIM) .
+		COMPUTE #UC3 = UC2 .
+		COMPUTE UC2 = (UC2 + #UC1)/2 .
+		COMPUTE #CUMF2 = NCDF.CHISQ(CHIVAL,DF,UC2) .
+	ELSE .
+		COMPUTE #UC1 = UC2 .
+		COMPUTE UC2 = (UC2 + #UC3)/2 .
+		COMPUTE #CUMF2 = NCDF.CHISQ(CHIVAL,DF,UC2) .
+	END IF .
+	COMPUTE #DIFF = ABS(#CUMF2 - #LLIM) .
END LOOP .
COMPUTE LCDF  = NCDF.CHISQ(CHIVAL,DF,UC2) .
COMMENT	
COMMENT	THIS NEXT STATEMENT COMPUTES THE POWER IN RELATION TO THE CHISQUARE VALUE.
COMPUTE POWER = 1 - NCDF.CHISQ(IDF.CHISQ(1-(1-CONF)/2,DF),DF,CHIVAL) .
EXECUTE .
